<html>
<head>
  <title></title>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script>
  <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.min.js"></script>
  <style>
    table tr td {
      padding: 10px;
      border: 1px solid;
    }
    table tr {
      cursor: pointer;
    }
    table
    {
      border-collapse:collapse;
    }
    table, td, th
    {
      border:1px solid black;
    }
    .bitacoratable {
      overflow-y: auto;
      float:left;
    }
    #table1 {
      margin-right: 100px;
    }
    .childgrid tr { cursor: pointer; }
    .selectedRow, .selectedRow:active, .childgrid tr:active {
      background-color: #E7E7E7;
      cursor: move;
    }
  </style>
  <script>
    $(document).ready(function() {
      //$("tr input:checkbox").click(function() {
      //  $(this).parent().parent().toggleClass("selected");
      //});
      $("#table1 .childgrid tr, #table2 .childgrid tr").draggable({
        helper: function(){
          var selected = $('.childgrid tr.selectedRow');
          if (selected.length === 0) {
            selected = $(this).addClass('selectedRow');
          }
          var container = $('<div/>').attr('id', 'draggingContainer');
          container.append(selected.clone().removeClass("selectedRow"));
          return container;
        }
      });

      $("#table1 .childgrid, #table2 .childgrid").droppable({
        drop: function (event, ui) {
          console.log(ui.helper.children().length);
          $(this).append(ui.helper.children());
          //$('.selectedRow').remove();
        }
      });
      $(document).on("click", ".childgrid tr", function () {
        $(this).toggleClass("selectedRow");
      });
    });
  </script>
</head>
<body>
  <div id="table1" class="bitacoratable">
    <table class="childgrid">
      <tr id="tr2" class="draggable_tr">
        <td>2</td>
        <td>Student 2</td>
      </tr>
      <tr id="tr3" class="draggable_tr">
        <td>3</td>
        <td>Student 3</td>
      </tr>
      <tr id="tr4" class="draggable_tr">
        <td>4</td>
        <td>Student 4</td>
      </tr>
      <tr id="tr5" class="draggable_tr">
        <td>5</td>
        <td>Student 5</td>
      </tr>
    </table>
  </div>

  <div id="table2" class="bitacoratable">
    <table class="childgrid">
      <tr class="draggable_tr">
        <td>1</td>
        <td>Student 1</td>
      </tr>
      <tr class="draggable_tr">
        <td>2</td>
        <td>Student 2</td>
      </tr>
      <tr class="draggable_tr">
        <td>3</td>
        <td>Student 3</td>
      </tr>
      <tr class="draggable_tr">
        <td>4</td>
        <td>Student 4</td>
      </tr>
      <tr class="draggable_tr">
        <td>5</td>
        <td>Student 5</td>
      </tr>
    </table>
  </div>
</body>
</html>
